<template>
    <div>
        <div class="breadcrumbs">
            <router-link to="/main">{{$t('message.main')}}</router-link>
            <div class="circle"></div>
            <div>{{$t('message.info')}}</div>
        </div>

        <div class="info_page">
        <div class="block">
            <div class="block-title">{{$t('message.info')}}</div>
            <div class="content_block">
                <div class="main">
                    <div v-for="(main, i) in mains" :class="{item: true, opened: i == opened}">
                        <div class="item_title" @click="toggle(i)">
                            <div v-html="main.title">{{main.title}}</div>
                            <div class="icon">
                                <img src="/img/accordion-plus.svg" class="plus">
                            </div>
                        </div>
                        <div class="content" v-html="main.content">{{main.content}}</div>
                        <div class="close" @click="toggle(i)"><img src="/img/close.svg"></div>
                    </div>
                </div>
                <div class="sidebar">
                    <div :class="{text: true, opened: text_opened == true}">
                        <div class="sidebar_title">{{sidebar_info.title}}</div>
<!--                        <div class="description">{{sidebar_info.description}}</div>-->
                        <div class="content">
                            {{sidebar_info.content}}
                        </div>
                    </div>
                    <div :class="{read: true, opened: text_opened == true}" @click="text_opened = true">Читати</div>
                    <a href="https://" class="button" target="_blank">{{$t('message.download_agreement')}}</a>
                </div>
            </div>
        </div>

        <back-to-top bottom="30px" right="18px">
            <button type="button" class="btn btn-info btn-to-top">
                <img src="/img/to-top.svg">
            </button>
        </back-to-top>
    </div>
    </div>
</template>

<script>
    import {main, sidebar_info} from '../../json/info.json';
    import BackToTop from './BackToTop';

    export default {
        data: () => ({
            mains: main,
            sidebar_info: sidebar_info,
            opened: -1,
            text_opened: false
            // opened: 0
        }),
        methods: {
            toggle(i) {
                if (this.opened != i) {
                    this.opened = i;
                } else {
                    this.opened = -1;
                }
            }
        },
        components: {
            BackToTop
        }
    }
</script>
